|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions
gameplay::AIAgent::Listener Class Reference

`#include <AIAgent.h>`

List of all members.

## Public Member Functions

virtual | ~Listener ()
virtual bool | messageReceived (AIMessage *message)=0

## Detailed Description

Interface for listening to AIAgent events.

## Constructor & Destructor Documentation

virtual gameplay::AIAgent::Listener::~Listener | ( |  | ) | `[inline, virtual]`

Virtual destructor.

## Member Function Documentation

virtual bool gameplay::AIAgent::Listener::messageReceived | ( | AIMessage * | message | ) | `[pure virtual]`

Called when a new message is sent to the AIAgent.

Both global/broadcast messages and messages sent explicitly to the AIAgent are sent through this method. Returning true from this method will mark the message as handled and it will dispose of the message and prevent any other possible recipients from receiving the message. Alternatively, returning false allows the message to continue being routed though the AI system.

Parameters:

  message | The message received.

Returns:
  true to mark the message as handled, false otherwise.

All Classes Functions Variables Typedefs Enumerations Enumerator